document.addEventListener('DOMContentLoaded', () => {
    const audio = document.getElementById('background-audio');
    const onMusicIcon = document.getElementById('on-music');
    const offMusicIcon = document.getElementById('off-music');

    // Initially mute the audio
    audio.muted = true;

    // Update the icons to match the audio state
    function updateMusicIcons() {
        if (audio.muted) {
            onMusicIcon.style.display = 'none';
            offMusicIcon.style.display = 'block';
        } else {
            onMusicIcon.style.display = 'block';
            offMusicIcon.style.display = 'none';
        }
    }

    // Toggle the mute state
    function toggleMute() {
        audio.muted = !audio.muted;
        if (!audio.muted) {
            audio.play().catch(error => {
                console.error('Error playing audio:', error);
            });
        }
        updateMusicIcons();
    }

    // Ensure audio starts playing on user interaction
    document.addEventListener('click', function startAudio() {
        audio.play().then(() => {
            console.log('Audio started successfully.');
        }).catch(error => {
            console.error('Error playing audio:', error);
        });
        updateMusicIcons(); // Ensure icons reflect the state
        document.removeEventListener('click', startAudio); // Remove listener after the first interaction
    });

    // Attach click listeners to the icons
    onMusicIcon.addEventListener('click', toggleMute);
    offMusicIcon.addEventListener('click', toggleMute);
});
