<?php
session_start();
$conn = new mysqli('localhost', 'trivenzo_rizwan', 'GmFCt80r1Igs', 'trivenzo_all_data_managment');

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$error_message = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $email = $_POST['email'];
    $password = $_POST['create-password'];

    if (empty($email) || empty($password)) {
        $error_message = "Please fill all the fields...";
    } else {
        // Get user's current IP address and user agent
        $user_ip = $_SERVER['REMOTE_ADDR'];
        $device_version = $_SERVER['HTTP_USER_AGENT']; // Get the user agent string for device information

        $stmt = $conn->prepare("SELECT * FROM users WHERE email = ?");
        $stmt->bind_param("s", $email);
        $stmt->execute();
        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $user = $result->fetch_assoc();

            // Check if the password matches
            if (password_verify($password, $user['password'])) {
                
                // Check if the IP address and device version match
                if ($user_ip === $user['device_ip'] && $device_version === $user['device_version']) {
                    // Set session variables
                    $_SESSION['user_id'] = $user['user_id'];
                    $_SESSION['username'] = $user['username'];
                    
                    // Redirect to dashboard or homepage
                    header("Location: /lexo/frontend/home/index.php");
                    exit();
                } else {
                    $error_message = "Your device is not registered for this account.";
                }
            } else {
                $error_message = "Please enter a valid email address or password!";
            }
        } else {
            $error_message = "Please enter a valid email address or password!";
        }
        $stmt->close();
    }
}

$conn->close();
?>



<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta
    name="viewport"
    content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
  />
  <meta
    http-equiv="Cache-Control"
    content="no-cache, no-store, must-revalidate"
  />
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Expires" content="0" />
  <meta
    name="robots"
    content="index, follow"
    data-testid="all-robots-meta-tag"
  />
  <link
    rel="canonical"
    href="https://www.trivenzo.online/"
    id="link_canonical"
    data-testid="link_canonical"
  />
  <meta name="msapplication-TileColor" content="#fede4d" />
  <meta
    name="msapplication-square70x70logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-70x70.webp"
  />
  <meta
    name="msapplication-square150x150logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-150x.150webp"
  />
  <meta
    name="msapplication-square310x310logo"
    content="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-310x310.webp"
  />
  <meta name="msapplication-config" content="none" />
  <link
    rel="apple-touch-icon"
    sizes="192x192"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-192x192.webp"
  />
  <link
    data-default-icon="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
    rel="shortcut icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-16x16.webp"
    sizes="16x16"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-32x32.webp"
    sizes="32x32"
  />
  <link
    rel="icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-96x96.webp"
    sizes="96x96"
  />
  <link
    rel="shorcut icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-192x192.webp"
    sizes="192x192"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-57x57.webp"
    sizes="57x57"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-60x60.webp"
    sizes="60x60"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-72x72.webp"
    sizes="72x72"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-76x76.webp"
    sizes="76x76"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-114x114.webp"
    sizes="114x114"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-120x120.webp"
    sizes="120x120"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-144x144.webp"
    sizes="144x144"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-152x152.webp"
    sizes="152x152"
  />
  <link
    rel="apple-touch-icon"
    href="https://trivenzo.online/lexo/frontend/home/assets/images/logo/favicon-180x180.webp"
    sizes="180x180"
  />
 <title>Login to Lexo ᴾᴷ | Your Gateway to Delicious Meals!</title>
<meta property="og:title" content="Login to Lexo ᴾᴷ | Taste the Convenience!" />
<meta
    property="og:description"
    content="Welcome back to Lexo ᴾᴷ! Log in to access your favorite meals, exclusive offers, and a seamless dining experience tailored just for you."
/>
<meta property="og:url" content="https://trivenzo.online/login" />
<meta
    name="description"
    content="Join us at Lexo ᴾᴷ! Log in to enjoy easy access to your personalized meal options, order history, and special discounts. Your next delicious meal is just a click away!"
/>
<meta
    name="keywords"
    content="Lexo, Login, food delivery, meal options, quick access, personalized dining, special discounts, order history, family meals, convenient ordering"
/>

  <link rel="stylesheet" href="/lexo/frontend/login/assets/css/style.css" />
  <link
    rel="stylesheet"
    href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css"
  />
  <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0" />

</head>

  


</head>

<body>
  <div class="container">
    <!-- Main - content -->
     <div class="waqas">
     <div class="popup" style="display:none;">
      <div class="icon" id="close-popup">
        <span class="material-symbols-outlined">close</span>
      </div>
      <span id="error-popup"><?php echo $error_message; ?></span>
    </div>

    <div class="content">
      <!-- Left side -->
      <div class="parent">
        <div class="left-side">
          <h3>Start for free</h3>
          <div class="sub">
            <div class="title">
              <h1>Log in to your account</h1>
              <p>and enjoy tasty food! Satisfy your cravings with just a few clicks.</p>
            </div>
            <div class="card">
              <p>This website has been fully designed by!</p>
              <div class="profile">
                <img src="/lexo/frontend/login/assets/images/profile.webp" alt="">
                <div class="cat">
                  <h3>Waqas Ahmed</h3>
                  <span>UI/Ux Designer</span>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- Right side -->
        <div class="right-side">
          <form method="POST" id="loginForm">
            <div class="top">
              <div class="cross">
                <h1>Get Started!</h1>
                <a href="/lexo/frontend/home/index.php">
                  <i class="fa-solid fa-xmark close" id="close"></i>
                </a>
              </div>
              <div class="link">
                <span>Create a new account?</span><a href="/lexo/frontend/login/public/signup.php">Signup</a>
              </div>
            </div>

            <!-- Email -->
            <div class="email">
              <div class="first">
                <span>Enter Your Email</span>
                <input type="email" name="email" class="input" maxlength="50" required>
              </div>
            </div>
            
           <div class="email">
    <div class="first">
        <span>Enter your Password</span>
        <div class="input-container">
            <input type="password" name="create-password" class="input" minlength="6" maxlength="50" required>
            <!-- Hide password icon -->
            <img src="/lexo/frontend/login/assets/images/hide.webp" class="toggle-password" data-password="create-password" title="Show password" style="cursor: pointer;">
            <!-- Show password icon -->
            <img src="/lexo/frontend/login/assets/images/show.webp" class="show-password" data-password="create-password" title="Hide password" style="display: none; cursor: pointer;">
        </div>
    </div>
</div>



<script>
// Toggle password visibility
document.querySelectorAll('.toggle-password, .show-password').forEach(toggle => {
    toggle.addEventListener('click', function () {
        const passwordField = document.querySelector(`input[name='${this.dataset.password}']`);
        const showIcon = document.querySelector(`.show-password[data-password='${this.dataset.password}']`);
        const hideIcon = document.querySelector(`.toggle-password[data-password='${this.dataset.password}']`);

        if (passwordField.type === "password") {
            passwordField.type = "text"; // Show password
            hideIcon.style.display = "none"; // Hide the hide icon
            showIcon.style.display = "block"; // Show the show icon
        } else {
            passwordField.type = "password"; // Hide password
            hideIcon.style.display = "block"; // Show the hide icon
            showIcon.style.display = "none"; // Hide the show icon
        }
    });
});
</script>

            
            
            
            

  <!--forget-->
  <div class="forget">
  <a href="#" style="text-decoration: underline;">Forget  Creadentials?</a>
  </div>
            <!-- Submit Button -->
            <button type="submit" id="submit">Login</button>
          </form>
        </div>
      </div>
    </div>
  </div>
  </div>

  <script>
    document.getElementById('close-popup').addEventListener('click', function () {
      document.querySelector('.popup').style.display = 'none';
    });

    // Check if there's an error message and display it
    const errorMessage = "<?php echo $error_message; ?>";
    if (errorMessage) {
      document.getElementById('error-popup').innerText = errorMessage;
      document.querySelector('.popup').style.display = 'flex';
    }
  </script>
</body>
</html>
